#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0x81,0x93,0x61,0x70,0x7C,0x64,0xE8,0x41,0xB8,0x11,0x57,0x90,
		0xC1,0x4D,0xB1,0x22,0x14,0x8E,0xEE,0x58,0x25,0x15,0x37,0xCF,
		0x26,0x2D,0x2A,0x14,0x59,0x5A,0xD7,0xEC,0x12,0x04,0x69,0x76,
		0xA5,0x4F,0x95,0xFF,0x32,0x7B,0x4E,0xCE,0xB1,0x7D,0x3E,0x91,
		0xE6,0xEF,0x29,0x83,0x2A,0x4F,0x78,0x25,0xAF,0x6B,0x43,0x88,
		0xB8,0x04,0x6F,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
